# Views Exposed Form Mobile

This module changes Views exposed filters to show a multi-page overlay UI on
mobile devices. This is the same UX pattern as used on many e-commerce sites:

1. The exposed form is replaced with a single button to show filters
2. Clicking the button opens a full page with an overview of all filters
3. Clicking an item in the overview opens a full page with the options for
   that filter

The same markup is used for desktop and mobile, with the additional UI elements
hidden on desktop devices.

This module works with the filters from the [Better Exposed
Filters](https://www.drupal.org/project/better_exposed_filters) module.

## Requirements

This module requires no modules outside of Drupal core.

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

1. Go to Administration » Structure » Views » Views settings » Advanced
2. Enable the 'Views Exposed Form Mobile' display extender
3. In your view's 'Exposed form style' options, enable the 'Show this exposed block
   as overlay pages on mobile' option.

## Limitations

This module is fairly limited in its functionality. If you require any of the
following, please file a merge request!

- More styling of the overview page and the links.
- Filters which don't show a label don't show any text on the overview page.
- The module will not work with two views shown on the same page.
- The module does not handle an exposed sort.
- The breakpoint is hardcoded. This is because it's not possible to access the
  values from Drupal core's Breakpoint module in a CSS file, due to how CSS
  variables and media queries work.
