/**
 * @file
 * Defines Javascript behaviors for the Views Exposed Form Mobile module.
 */

(function ($, Drupal, drupalSettings) {
  'use strict';

  Drupal.behaviors.viewsExposedFormMobile = {
    attach: function (context, settings) {
      // Button to open the overview page.
      $('button.views-exposed-form-mobile-overview-open').on("click", function () {
        var $overviewPage = $('div.views-exposed-form-mobile-overview');
        $overviewPage.show();
      });

      // Link to open a filter page.
      $('a.views-exposed-form-mobile-open-filter').on("click", function () {
        var targetFilterName = $(this).attr('data-page-target');

        var $targetPage = $('div#views-exposed-form-mobile-filter-' + targetFilterName);
        $targetPage.show();
      });

      // Button to close a page.
      $('button.views-exposed-form-mobile-close-page').on("click", function () {
        var $targetPage = $(this).closest('.views-exposed-form-mobile-page');

        $targetPage.hide();
      });
    }
  };
})(jQuery, Drupal, drupalSettings);
